> For the complete documentation index, see [llms.txt](https://docs.spyderbat.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.spyderbat.com/installation/spyderbat-aws-agent/aws-agent-helm-configuration.md).

# Configuration Guide - Kubernetes

This guide provides a detailed explanation of the various configuration options available in the YAML configuration file for the Spyderbat AWS Agent. The configuration file allows you to control aspects of the agent's behavior, such as polling, AWS account details, and integration settings.

## Configuration Parameters Overview

Below are key configuration parameters that can be set in the `values.yaml` file of the Helm chart for the Spyderbat AWS Agent:

### Credentials

#### 1. `awsSecretsManager`

* **Description**: Configures AWS Secrets Manager integration to store the Spyderbat registration key.
* **Fields**:
  * **`enabled`**: Whether to use AWS Secrets Manager for storing the registration key.
  * **`secretArn`**: The ARN of the secret in AWS Secrets Manager containing the Spyderbat registration key.
* **Example**:

  ```yaml
  awsSecretsManager:
    enabled: false
    secretArn: <arn of the secret in secrets manager>
  ```

#### 2. `credentials`

* **Description**: Configures AWS credentials and the Spyderbat registration key.
* **Fields**:
  * **`aws_access_key_id`**: AWS access key ID (optional).
  * **`aws_secret_access_key`**: AWS secret access key (optional).
  * **`spyderbat_registration_key`**: The Spyderbat registration key.
* **Example**:

  ```yaml
  credentials:
    spyderbat_registration_key: <spyderbat registration key>
  ```

## Spyderbat Configuration Parameters

### 1. `spyderbat_orc_url`

* **Description**: URL for the Spyderbat orchestration endpoint, used by the agent to communicate with Spyderbat's backend.
* **Example**:

  ```yaml
  spyderbat_orc_url: https://orc.spyderbat.com
  ```

### 2. `cluster_name`

* **Description**: Specifies the cluster name where the AWS Agent is running. This helps in identifying the data source in the Spyderbat UI.
* **Example**:

  ```yaml
  cluster_name: my-cluster
  ```

### 3. `awsAgentsConfigs`

* **Description**: Configures the AWS accounts and services that the agent will monitor.
* **Fields**:
  * **`aws_account_id`**: AWS account ID to monitor. Set to `auto` to auto-discover the account ID.
* **Example**:

  ```yaml
  awsAgentsConfigs:
    - aws_account_id: auto
  ```

The helm chart can install one or more aws agents (one per account to be monitored). The default installation installs a single agent. You can configure multiple agents by providing multiple sections under the awsAgentsConfigs section.

For each of the section, the configuration options are the same as described in the configuration guide for the single-vm install, which you can consult [here](/installation/spyderbat-aws-agent/aws-agent-vm-configuration.md#config-settings).

## Managing Configuration

* **Updating Configuration**: To update the configuration, modify the `values.yaml` file and upgrade the release using:

  ```sh
  helm upgrade aws-agent spyderbat/aws-agent -f values.yaml
  ```
* **Validation**: Ensure to validate the syntax of the `values.yaml` before applying changes to avoid runtime issues.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.spyderbat.com/installation/spyderbat-aws-agent/aws-agent-helm-configuration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
